libzlui0_99-0.99.4-36.28.x86_64.rpm


Advertisement

Description

libzlui0_99 - Qt5 interface module for ZLibrary

Property Value
Distribution openSUSE Tumbleweed
Repository Education all
Package filename libzlui0_99-0.99.4-36.28.x86_64.rpm
Package name libzlui0_99
Package version 0.99.4
Package release 36.28
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.fbreader.org/
License GPL-2.0+
Maintainer -
Download size 139.75 KB
Installed size 532.88 KB
This package provides a Qt5-based UI for ZLibrary.

Alternatives

Package Version Architecture Repository
libzlui0_99-0.99.4-36.28.i586.rpm 0.99.4 i586 Education
libzlui0_99-0.99.4-3.3.x86_64.rpm 0.99.4 x86_64 openSUSE Oss
libzlui0_99-0.99.4-3.3.i586.rpm 0.99.4 i586 openSUSE Oss
libzlui0_99 - - -

Requires

Name Value
/sbin/ldconfig -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Network.so.5()(64bit) -
libQt5Network.so.5(Qt_5)(64bit) -
libQt5Widgets.so.5()(64bit) -
libQt5Widgets.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libzlcore.so.0.99()(64bit) -
zlibrary-data >= 0.99.4

Provides

Name Value
libzlui.so.0.99()(64bit) -
libzlui0_99 = 0.99.4-36.28
libzlui0_99(x86-64) = 0.99.4-36.28
zlibrary-ui = 0.99.4

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libzlui0_99-0.99.4-36.28.x86_64.rpm
Source Package fbreader-0.99.4-36.28.src.rpm

Install Howto

  1. Add the Education repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/Education/openSUSE_Tumbleweed/ education
  2. Install libzlui0_99 rpm package:
    # zypper install libzlui0_99

Files

Path
/usr/lib64/libzlui.so.0.99
/usr/lib64/libzlui.so.0.99.4

Changelog

2018-04-04 - aloisio@gmx.com
- Added fbreader-0.99.4-qt5.patch and switched to Qt5 build
- Spec cleanup
2018-03-07 - bwiedemann@suse.com
- Add FBReader-0.99.4-reproducible.patch to make build reproducible
(boo#1041090)
2016-06-23 - dap.darkness@gmail.com
- Added fbreader-0.99.4-gcc6-Wno-narrowing.diff as a workaround
for https://github.com/geometer/FBReader/issues/289
- Added %%description tag & noarch for zlibrary-data subpackage.
2016-06-19 - dap.darkness@gmail.com
- Removed README.SuSE because there is only Qt GUI now.
- pkgconfig().
2016-06-19 - jengelh@inai.de
- Fixup shared library packaging
2014-05-25 - trcs@gmx.com
- Update to version 0.99.4
* Fixed bug with freezing at start
* List of network libraries is updated now from fbreader.org
* Fixed working with secured connections (now authentification and books buying on LitRes.ru catalog works)
* Image support for Ms-Word doc format
* Esperanto interface localization has been added (by Katarína Nosková)
* Hyphenation patterns for Polish (by Tomasz D?ugosz)
* Polish interface localization (by Tomasz D?ugosz)
* Speed of library scanning has been increased
* Plugin for reading MsWord (*.doc) books
* Fixed zip reading for several ePub books (e.g. for "die Zeit" ePubs)
* Support for book series in ePubs with point format (e.g. "2.5") has been added
* Fixed image support in RTF books
* Encoding & language recognizing has been improved
* As from version 0.99.0 FBReader for Linux supports qt4 interface only
* Chinese text drawing optimization (thanks to You Sheng (SmartDevices) for idea)
* Mobipocket image processing has been fixed
* Standard file open dialog is now used instead of the old specially written for FBReader
* CSS processing for multi-xhtml epubs has been fixed (in 0.12.* the CSS loaded for the first xhtml was also applied for all other xhtmls)
* Chinese encodings detection has been improved
* Language/encoding detection for small files has been improved
* A problem with TOC in newest O'Reilly ePubs has been fixed
* A detection of book format by mime-type (not by file extension) has been partially implemented (in Gtk+ version only)
* Polish interface localization has been added (by Rafa? Baku?a)
- Updated FBReader.desktop
- Cleaned spec file
* Removed GTK UI version build because it's broken an isn't supported anymore
See https://github.com/geometer/FBReader/issues/222 and the above changelog
- Dropped unneeded fbreader-0.12.10-c++.patch
- Added FBReader-0.99.4-fix-crash-with-fb2.zip-files.patch
* fixes crashes with fb2.zip files
2012-10-16 - coolo@suse.com
- add explicit buildrequire on libbz2-devel
2012-02-13 - coolo@suse.com
- patch license to follow spdx.org standard
2011-09-18 - jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
tags/sections from specfile, etc.)
2011-08-31 - kirill.kirillov@gmail.com
- cleaned spec using spec-cleaner
- fixed generic-name-not-in-filelist RPMLINT warning

See Also

Package Description
lilypond-2.18.2-16.20.i586.rpm A typesetting system for music notation
lilypond-2.18.2-16.20.x86_64.rpm A typesetting system for music notation
lilypond-century-schoolbook-l-fonts-2.18.2-16.20.noarch.rpm Lilypond Century Schoolbook L fonts
lilypond-emmentaler-fonts-2.18.2-16.20.noarch.rpm Lilypond emmentaler fonts
lilypond-fonts-common-2.18.2-16.20.noarch.rpm Lilypond fonts common dir
litetran-1.3+git20161111-11.14.i586.rpm A translator on Qt
litetran-1.3+git20161111-11.14.x86_64.rpm A translator on Qt
littlewizard-1.2.2-26.1.i586.rpm Development Environment for Children
littlewizard-1.2.2-26.1.x86_64.rpm Development Environment for Children
littlewizard-devel-1.2.2-26.1.i586.rpm Development headers and files for littlewizard
littlewizard-devel-1.2.2-26.1.x86_64.rpm Development headers and files for littlewizard
littlewizard-examples-20071206-22.12.noarch.rpm Example files for Little Wizard
live-fat-stick-0.4.2-6.1.noarch.rpm Tool for creating live USB stick with a FAT partition
live-grub-stick-0.4.2-6.1.noarch.rpm Tool for creating multiboot live USB stick using grub2
live-usb-gui-0.4.2-6.1.noarch.rpm zenity-based frontend for live-fat-stick
Advertisement
Advertisement